Bug 972650 - Review Request: sugar-tuxmath - TuxMath is an arcade game that helps people practice their math facts.
Summary: Review Request: sugar-tuxmath - TuxMath is an arcade game that helps people p...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2013-06-10 10:43 UTC by Danishka Navin
Modified: 2018-05-07 21:20 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-07 21:20:38 UTC


Attachments (Terms of Use)

Description Danishka Navin 2013-06-10 10:43:16 UTC
Spec URL: http://snavin.fedorapeople.org/packages/sugar-tuxmath/sugar-tuxmath.spec
SRPM URL:  http://snavin.fedorapeople.org/packages/sugar-tuxmath/sugar-tuxmath-2-1.fc18.src.rpm

Description: TuxMath is an arcade game that helps people practice their math facts.

Fedora Account System Username: snavin

Comment 1 Parag AN(पराग) 2013-11-23 03:44:54 UTC
1) See http://fedoraproject.org/wiki/Packaging:Python , you will find now its recommended to use python2 not just python in macros 
so if you have python macro %{__python} change it to %{__python2}


2) This package failed to build because of wrong BR: sugar-toolkit-gtk3
You can identify what correct BR: you can use in your package spec by just looking into setup.py file of upstream source

if it contains lines starting with following code
from sugar.activity 
this mean you should use BR: sugar-toolkit

if it contains lines starting with following code
from sugar3.activity 
this mean you should use BR: sugar-toolkit-gtk3

So, use correct BuildRequires: sugar-toolkit and this package will build fine.

3) also, this package uses bundled libraries which is not accepted in Fedora. See https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries

Work with upstream to have this package built against system libraries.

Comment 2 Ben Rosser 2017-08-23 00:47:28 UTC
Are you still interested in this review?

Comment 3 Danishka Navin 2017-08-23 04:57:12 UTC
Yes,I would like to resume working on this.

Comment 4 Ben Rosser 2018-05-07 21:20:38 UTC
There was no response on the other ticket (https://bugzilla.redhat.com/show_bug.cgi?id=843646), so I'm going to close this one out too. If you'd like to re-submit, please feel free to open a new ticket.


Note You need to log in before you can comment on or make changes to this bug.